StarPU Handbook

Functions
starpu_bitmap.h File Reference

Go to the source code of this file.

## Functions
struct starpu_bitmap * | starpu_bitmap_create (void) STARPU_ATTRIBUTE_MALLOC
void | starpu_bitmap_destroy (struct starpu_bitmap *b)
void | starpu_bitmap_set (struct starpu_bitmap *b, int e)
void | starpu_bitmap_unset (struct starpu_bitmap *b, int e)
void | starpu_bitmap_unset_all (struct starpu_bitmap *b)
int | starpu_bitmap_get (struct starpu_bitmap *b, int e)
void | starpu_bitmap_unset_and (struct starpu_bitmap *a, struct starpu_bitmap *b, struct starpu_bitmap *c)
void | starpu_bitmap_or (struct starpu_bitmap *a, struct starpu_bitmap *b)
int | starpu_bitmap_and_get (struct starpu_bitmap *b1, struct starpu_bitmap *b2, int e)
int | starpu_bitmap_cardinal (struct starpu_bitmap *b)
int | starpu_bitmap_first (struct starpu_bitmap *b)
int | starpu_bitmap_last (struct starpu_bitmap *b)
int | starpu_bitmap_next (struct starpu_bitmap *b, int e)
int | starpu_bitmap_has_next (struct starpu_bitmap *b, int e)